API ReferenceVerifier applications
Retrieve a verifier application
GET
/v2/presentations/applications/{verifierApplicationId}Retrieves an existing mDocs online verifier application.
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_STARTCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
verifierApplicationId*string
Unique identifier for the verifier application.
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v2/presentations/applications/281d20b3-42a3-40dd-b29a-115ff32b02b7"{ "id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c", "name": "Example Verifier Web Application", "type": "web", "domain": "example-verifier-web-application.com", "additionalDomains": [ "example-verifier-web-application.com" ], "openid4vpConfiguration": { "supportedModes": "all", "redirectUris": [ "https://example-verifier-web-application.com/presentation/callback" ], "display": { "displayMode": "full", "logoImage": { "url": "https://example-logo-image-url.com", "altText": "Logo image" }, "headerText": "Share your information.", "bodyText": "Please scan the QR code to the right to provide information required for this interaction.", "privacyPolicyUrl": "https://example-privacy-policy.com", "primaryColorHex": "#FFFFFF", "privacyPolicyLinkText": "Read our privacy policy", "qrCodeInstructions": "Scan this QR code with your mobile wallet app", "awaitingPresentationText": "QR scanned, waiting for your information" } }, "dcApiConfiguration": { "supportedBrowserPlatforms": { "desktop": true, "mobile": true } }, "resultAvailableInFrontChannel": true}How would you rate this page?